Pulseaudio causes extreme swapping

Bug #497537 reported by Christoph Korn on 2009-12-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: pulseaudio

Suddenly extreme swappinh rendered my notebook useless for about 10 minutes.
Looking in the messages log there are pulseaudio related messages before the swapping starts.

pulseaudio:
  Installed: 1:0.9.19-0ubuntu4
  Candidate: 1:0.9.19-0ubuntu4
  Version table:
 *** 1:0.9.19-0ubuntu4 0
        500 http://de.archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

ProblemType: Bug
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: korn 2135 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6ffc000 irq 21'
   Mixer name : 'SigmaTel STAC9205'
   Components : 'HDA:838476a0,102801fe,00100204'
   Controls : 26
   Simple ctrls : 17
Date: Wed Dec 16 21:22:06 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu4
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-16-generic x86_64

Christoph Korn (c-korn) wrote :

What, the rate-limit messages? By themselves they don't imply anything.
Please use "pactl stat" if you feel that PA is eating memory (which is
another known issue with module-udev-detect and inotify handles).

On Dec 16, 2009 3:35 PM, "Christoph Korn" <email address hidden> wrote:

Public bug reported:

Binary package hint: pulseaudio

Suddenly extreme swappinh rendered my notebook useless for about 10 minutes.
Looking in the messages log there are pulseaudio related messages before the
swapping starts.

pulseaudio:
 Installed: 1:0.9.19-0ubuntu4
 Candidate: 1:0.9.19-0ubuntu4
 Version table:
 *** 1:0.9.19-0ubuntu4 0
       500 http://de.archive.ubuntu.com karmic/main Packages
       100 /var/lib/dpkg/status

ProblemType: Bug
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 2/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: korn 2135 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6ffc000 irq 21'
  Mixer name : 'SigmaTel STAC9205'
  Components : 'HDA:838476a0,102801fe,00100204'
  Controls : 26
  Simple ctrls : 17
Date: Wed Dec 16 21:22:06 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu4
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-16-generic x86_64

** Affects: pulseaudio (Ubuntu)
    Importance: Undecided
        Status: New

** Tags: amd64 apport-bug

--
Pulseaudio causes extreme swapping
https://bugs.launchpad.net/bugs/497537
You received this bug notification because you are a member of Ubuntu
Audio Team, which is subscribed to pulseaudio in ubuntu.

Status in “pulseaudio” package in Ubuntu: New

Bug description:
Binary package hint: pulseaudio

Suddenly extreme swappinh rendered my notebook useless for about 10 minutes.
Looking in the messages log there are pulseaudio related messages before the
swapping starts.

pulseaudio:
 Installed: 1:0.9.19-0ubuntu4
 Candidate: 1:0.9.19-0ubuntu4
 Version table:
 *** 1:0.9.19-0ubuntu4 0
       500 http://de.archive.ubuntu.com karmic/main Packages
       100 /var/lib/dpkg/status

ProblemType: Bug
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
  Subdevices: 2/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: korn 2135 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6ffc000 irq 21'
  Mixer name : 'SigmaTel STAC9205'
  Components : 'HDA:838476a0,102801fe,00100204'
  Controls : 26
  Simple ctrls : 17
Date: Wed Dec 16 21:22:06 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu4
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-16.53-generic
SourcePackage: pulseaudio
Uname: Linux 2.6.31-16-generic x86_64

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.22~0.9.21+341-g62bf-0ubuntu1

---------------
pulseaudio (1:0.9.22~0.9.21+341-g62bf-0ubuntu1) lucid; urgency=low

  * New snapshot based on stable-queue git branch (testing requested
    specifically by upstream)
    - LP: #164745, #173212, #201391, #204536, #207796, #210016, #221038,
    - LP: #226342, #230408, #236423, #237443, #250059, #269585, #274304,
    - LP: #274577, #275474, #277532, #277566, #277932, #278025, #280534,
    - LP: #283049, #286816, #287036, #292732, #298011, #298301, #300290,
    - LP: #302038, #311497, #311853, #324062, #339448, #344057, #348979,
    - LP: #350829, #356206, #367379, #367544, #369822, #371897, #374846,
    - LP: #375570, #381801, #399515, #402950, #403786, #408169, #409322,
    - LP: #409723, #410326, #410446, #417695, #417976, #419271, #421072,
    - LP: #422774, #423979, #424655, #425028, #427016, #431072, #432660,
    - LP: #437640, #437996, #442191, #443306, #443389, #446719, #449762,
    - LP: #455417, #461532, #464652, #483191, #497537, #503780
  * debian/patches/:
    + add: 0099-change-configure-git-version-tag.patch: Match released
           upstream 0.9.21 for shlibs and LIBPULSE_VERSION_INFO
    - drop: 0004-set-tsched0.patch (no longer relevant)
            0050-revert-pacmd-poll-argv.patch (no longer relevant)
            0056-dont-bail-on-sound-class-modem.patch (merged)
            0056-ignore-sound-class-modem.patch (merged)
            0058-Backport-4c793.patch (merged)
            0059-Backport-978d3.patch (merged)
            0060-fix-implicit-func-decl-cpu-arm.patch (merged)
            0061-Backport-c5fdb.patch (merged)
            0070-dont-bail-on-sound-class-modem-devs.patch (merged)
    + refresh: 0001-change-resample-and-buffering.patch
               0090-disable-flat-volumes.patch
               0091-dont-load-cork-music-on-phone.patch
               0057-load-module-x11-bell.patch
 -- Daniel T Chen <email address hidden> Thu, 14 Jan 2010 20:33:05 -0500

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers